Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2022-02-06 12:30:07

element
Member
Registered: 2009-11-18
Posts: 98

MLP upgrade issues

Hello,

I have an ancient Txp 4.5.7 website with MLP because I was afraid to upgrade because of MLP compatibility issues and if it works why risk breaking it, right?. Well, no more. My host decided to upgrade to PHP 7.2 and guess what? Everything is offline and I don’t have access to the admin side any more.

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; DB has a deprecated constructor in /public_html/textpattern/lib/txplib_db.php on line 18
Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /public_html/textpattern/lib/txplib_db.php:29 Stack trace: #0 /public_html/textpattern/lib/txplib_db.php(45): DB->DB() #1 /public_html/textpattern/publish.php(31): include_once('/...') #2 /public_html/index.php(104): include('/...') #3 {main} thrown in /public_html/textpattern/lib/txplib_db.php on line 29

I tried upgrading to 4.6.2 but then I just get different error messages. Is this solvable?

Last edited by element (2022-02-06 12:34:52)

Offline

#2 2022-02-06 14:43:07

jakob
Admin
From: Germany
Registered: 2005-01-20
Posts: 4,370
Website

Re: MLP upgrade issues

First things first: make sure you have a backup of the files and the database so that there’s a way back or a way to reconstruct things.

Does your host offer a way to run an older PHP version, either through its control panel or using an Addhandler directive in htaccess? That may get you PHP5 back enough to perform the upgrade on PHP5 first, then switch to PHP7.

Fatal error: Uncaught Error: Call to undefined function mysql_connect() …

If that was with v4.5.7 it’s because the database functions in PHP7 now use mysqli-functions in place of mysql. According to the Textpattern’s version history that switch occurred in Textpattern v.4.6.

If that happened after you upgraded to v4.6.2, please check you managed to properly update the files (it’s likely you still have an old one in there).

I tried upgrading to 4.6.2 but then I just get different error messages.

Perhaps you can let us know what those error messages are.

MLP compatibility issues …

It’s hard to say what will happen once you upgrade. You may have to first disable the MLP plugins (possibly other older plugins too) in order to upgrade without error messages.

If you have no way of accessing Textpattern, you can disable plugins directly in the database by viewing the database in phpMyAdmin or your host’s database management app, and look at the table txp_plugin. Set the status column for the relevant plugins to 0. After upgrading you can switch them back on selectively.


TXP Builders – finely-crafted code, design and txp

Offline

#3 2022-02-06 17:56:46

element
Member
Registered: 2009-11-18
Posts: 98

Re: MLP upgrade issues

I was able to downgrade to PHP 5.6 and the website is working again, but now I’m stuck on the Language Preference page with this error on the admin side and so I can’t change anything in the back-end.

Can’t connect to remote server to check for updated language files. Please try again later.

Probably because I did attempt to upgrade to 4.62 and failed, and later reverted to 4.5.7 again.

Last edited by element (2022-02-06 17:57:51)

Offline

#4 2022-02-06 20:46:33

jakob
Admin
From: Germany
Registered: 2005-01-20
Posts: 4,370
Website

Re: MLP upgrade issues

element wrote #332670:

Probably because I did attempt to upgrade to 4.62 and failed, and later reverted to 4.5.7 again.

I’m sure there’s a solution for that. I vaguely remember something about mismatched version numbers in the database, which might be a result of upgrading and downgrading. If you look at the database in phpMyAdmin again in the table txp_prefs, there should be an entry with the name version. Does that match your current installation?

Either that or it was a matter of re-uploading the language files from 4.5.7 to /textpattern/lang/ on your server. The English version is in the GitHub repo for v.4.5.7 and other language versions should still be available on the old language server at rpc.textpattern.com/lang/. I’ve forgotten the exact procedure. Something like uploading the language file to your online /textpattern/lang/ directory and then using the “import from a local file” option on the panel you’re stuck on.

EDIT: This post also mentions making sure you have the correct files from the particular version uploaded. You may get a “can’t contact language server error” or a “there is a new version of Textpattern” notice but that shouldn’t block you navigating the back-end.

Otherwise, one of the experts here might be able to take a look at your site… There’s almost certainly a way to get an MLP site to a newer version but I don’t believe it works with current versions any more.


TXP Builders – finely-crafted code, design and txp

Offline

#5 2022-02-07 14:10:00

element
Member
Registered: 2009-11-18
Posts: 98

Re: MLP upgrade issues

Changing the version number to 4.5.7 in txp_prefs did the trick. Thanks.

Offline

Board footer

Powered by FluxBB